Package: org.codehaus.groovy.runtime

## [Java] Class DefaultCachedMethodKey

- org.codehaus.groovy.runtime.DefaultCachedMethodKey

- A default implementation of MethodKey

  Authors:
    James Strachan

- - ### Constructor Summary

    Constructors
    Constructor and description
    `DefaultCachedMethodKey (Class sender, String name, CachedClass[] parameterTypes, boolean isCallToSuper)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `int` | `getParameterCount()`
    `` | `Class` | `getParameterType(int index)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class MethodKey` | `createCopy, createHashCode, equals, equals, getName, getParameterCount, getParameterType, getParamterTypes, hashCode, toString`
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public DefaultCachedMethodKey(Class sender, String name, CachedClass[] parameterTypes, boolean isCallToSuper)

  - ### Method Detail

    - #### public int getParameterCount()

    - #### public Class getParameterType(int index)